Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.beans
Class AuditSpecification

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.core.beans.AuditSpecification

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieAuditSpecification

    public class AuditSpecification

extends TieSystemObject

Models registration of interest in a set of AuditEvents, given a set of AuditEvent operation types and a set of AuditEvent target object IDs.

Allows specification of a disposition rule for AuditEvents in this AuditSpecification's corresponding Audit History.

Allows specification of a custom AuditHandler implementation that should be executed when AuditEvents matching this AuditSpecification's specification occur.

Field Summary
`static java.lang.String` | `AUDITHANDLERSPECIFICATION_ATTRIBUTE` The AuditTargetSpecification describing this AuditSpecification's AuditHandler.
`static java.lang.String` | `AUDITTARGETSPECIFICATION_ATTRIBUTE` The AuditTargetSpecification describing the target object IDs of interest.
`static java.lang.String` | `AUDITTYPELIST_ATTRIBUTE` The AuditTypeList specifying the audit operation types of interest.
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject this class represents.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` The description of this AuditSpecification.
`static java.lang.String` | `DISPOSITIONRULE_ATTRIBUTE` The rule used to free AuditEvents from this AuditSpecification's corresponding AuditHistory.
`static int` | `DISPOSITIONRULE_MANUAL` A disposition rule for the DISPOSITIONRULE attribute.
`static int` | `DISPOSITIONRULE_OBJECTLIFETIME` A disposition rule for the DISPOSITIONRULE attribute.
`static int` | `DISPOSITIONRULE_TIMEOUT` A disposition rule for the DISPOSITIONRULE attribute.
`static java.lang.String` | `DISPOSITIONTIMEOUT_ATTRIBUTE` The time (in days) to keep AuditEvents in this AuditSpecification's corresponding AuditHistory when DISPOSITIONRULE = timeout.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of this AuditSpecification.
`static java.lang.String` | `PRIVATEPROPERTYTABLEUSED_ATTRIBUTE` Indication as to whether the Audit History for this AuditSpecification uses a private audit property table.
`static java.lang.String` | `TABLENAMESUFFIX_ATTRIBUTE` Table name that will hold events for this AuditSpecification.
`static java.lang.String` | `USERSEARCHABLE_ATTRIBUTE` Indication as to whether the Audit History for this AuditSpecification is searchable by regular users.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `AuditSpecification(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs an AuditSpecification object.

Method Summary
`void` | `auditAuditSpecificationGlobalAuditTypeListChanged()` Audits a change to the Global AuditTypeList.
`protected void` | `auditUpdated(LibraryObjectDefinition lodef)` Creates audit events for the update operation.
`static AuditSpecification` | `find(LibrarySession session, java.lang.String name)` Finds an AuditSpecification instance by name, or null if no AuditSpecification with the given name could be found.
`AuditHandlerSpecification` | `getAuditHandlerSpecification()` Returns the AuditHandlerSpecification for this AuditSpecification.
`AuditTargetSpecification` | `getAuditTargetSpecification()` Returns the AuditTargetSpecification for this AuditSpecification.
`AuditTypeList` | `getAuditTypeList()` Returns the AuditTypeList for this AuditSpecification.
`static AuditSpecification[]` | `getCustomAuditSpecifications(LibrarySession session)` Returns the set of custom AuditSpecification.
`java.lang.String` | `getDescription()` Returns the description of this AuditSpecification.
`int` | `getDispositionRule()` Returns the disposition rule for AuditEvents in this AuditSpecification's corresponding AuditHistory.
`int` | `getDispositionTimeout()` Returns the disposition timeout (in days) used when this AuditSpecification's DISPOSITIONRULE is set to DISPOSITIONRULE_TIMEOUT.
`static AuditSpecification` | `getGlobalAuditSpecification(LibrarySession session)` Returns the out-of-the-box AuditSpecification used for the Global Audit History.
`static AuditSpecification[]` | `getInternalAuditSpecifications(LibrarySession session)` Returns the set of out-of-the-box AuditSpecification.
`static AuditSpecification` | `getObjectAuditSpecification(LibrarySession session)` Returns the out-of-the-box AuditSpecification used for the Object Audit History.
`java.lang.String` | `getPropertyTableName()` Returns the table name to use for event properties for this AuditSpecification.
`java.lang.String` | `getTableName()` Returns the table name to use for events for this AuditSpecification.
`java.lang.String[]` | `getTableNames()` Returns the table names that are used for events for this AuditSpecification.
`java.lang.String` | `getTableNameSuffix()` Returns the table name suffix, used for table and view for custom audit event tables.
`java.lang.String` | `getViewName()` Returns the table name to use for events for this AuditSpecification.
`boolean` | `hasNameAttribute()` Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.
`boolean` | `isPrivatePropertyTableUsed()` Gets the indication as to whether the Audit History for this AuditSpecification uses a private audit property table.
`boolean` | `isUserSearchable()` Gets the indication as to whether the Audit History for this AuditSpecification is searchable by regular users.
`protected boolean` | `isValidEventType(AuditEvent event)` Checks to see if the event type in the process of being posted on the target LibraryObject is consistent with the target.
`protected void` | `postCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions after the creation of a SystemObject.
`protected void` | `preCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the creation of a PublicObject.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the permanent deletion ("free") of a object.
`protected void` | `preUpdate(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the update of a PublicObject.
`void` | `purgeEvent(AuditEvent event)` Purges an AuditEvent from its audit history.
`void` | `purgeEvents(AuditEvent[] events)` Purges a set of AuditEvents from their audit histories.
`protected void` | `purgeEvents(long[] eventIds)` Purge a set of events, by ID.
`void` | `setAuditTypeList(AuditTypeList atl)` Sets the AuditTypeList.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `AuditSpecification`
  The name of the ClassObject this class represents.

  See Also:
    Constant Field Values

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `AuditSpecification`
  The name of this AuditSpecification. (String[700])

  See Also:
    Constant Field Values

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `AuditSpecification`
  The description of this AuditSpecification. (String[2000])

  See Also:
    Constant Field Values

### DISPOSITIONRULE_ATTRIBUTE

    public static final java.lang.String DISPOSITIONRULE_ATTRIBUTE

  Description copied from class: `AuditSpecification`
  The rule used to free AuditEvents from this AuditSpecification's corresponding AuditHistory. (Integer; enum: {manual, timeout, object_lifetime})

  See Also:
    Constant Field Values

### DISPOSITIONTIMEOUT_ATTRIBUTE

    public static final java.lang.String DISPOSITIONTIMEOUT_ATTRIBUTE

  Description copied from class: `AuditSpecification`
  The time (in days) to keep AuditEvents in this AuditSpecification's corresponding AuditHistory when DISPOSITIONRULE = timeout. (Integer)

  See Also:
    Constant Field Values

### USERSEARCHABLE_ATTRIBUTE

    public static final java.lang.String USERSEARCHABLE_ATTRIBUTE

  Description copied from class: `AuditSpecification`
  Indication as to whether the Audit History for this AuditSpecification is searchable by regular users. (Boolean)

  See Also:
    Constant Field Values

### TABLENAMESUFFIX_ATTRIBUTE

    public static final java.lang.String TABLENAMESUFFIX_ATTRIBUTE

  Description copied from class: `AuditSpecification`
  Table name that will hold events for this AuditSpecification. (String)

  See Also:
    Constant Field Values

### AUDITTYPELIST_ATTRIBUTE

    public static final java.lang.String AUDITTYPELIST_ATTRIBUTE

  Description copied from class: `AuditSpecification`
  The AuditTypeList specifying the audit operation types of interest.

  See Also:
    Constant Field Values

### AUDITTARGETSPECIFICATION_ATTRIBUTE

    public static final java.lang.String AUDITTARGETSPECIFICATION_ATTRIBUTE

  Description copied from class: `AuditSpecification`
  The AuditTargetSpecification describing the target object IDs of interest.

  See Also:
    Constant Field Values

### AUDITHANDLERSPECIFICATION_ATTRIBUTE

    public static final java.lang.String AUDITHANDLERSPECIFICATION_ATTRIBUTE

  Description copied from class: `AuditSpecification`
  The AuditTargetSpecification describing this AuditSpecification's AuditHandler.

  See Also:
    Constant Field Values

### PRIVATEPROPERTYTABLEUSED_ATTRIBUTE

    public static final java.lang.String PRIVATEPROPERTYTABLEUSED_ATTRIBUTE

  Description copied from class: `AuditSpecification`
  Indication as to whether the Audit History for this AuditSpecification uses a private audit property table. (Boolean)

  See Also:
    Constant Field Values

### DISPOSITIONRULE_MANUAL

    public static final int DISPOSITIONRULE_MANUAL

  Description copied from class: `AuditSpecification`
  A disposition rule for the DISPOSITIONRULE attribute. AuditEvents must be purged manually from this AuditSpecification's corresponding AuditHistory.

  See Also:
    Constant Field Values

### DISPOSITIONRULE_TIMEOUT

    public static final int DISPOSITIONRULE_TIMEOUT

  Description copied from class: `AuditSpecification`
  A disposition rule for the DISPOSITIONRULE attribute. AuditEvents are purged automatically from this AuditSpecification's corresponding AuditHistory after being held for the number of days specified in the DISPOSITIONTIMEOUT attribute.

  See Also:
    Constant Field Values

### DISPOSITIONRULE_OBJECTLIFETIME

    public static final int DISPOSITIONRULE_OBJECTLIFETIME

  Description copied from class: `AuditSpecification`
  A disposition rule for the DISPOSITIONRULE attribute. AuditEvents are purged from this AuditSpecification's corresponding AuditHistory when the AuditEvent's target object is freed from the system.

  See Also:
    Constant Field Values

Constructor Detail

### AuditSpecification

    protected AuditSpecification(LibrarySession session,
                                 java.lang.Long id,
                                 java.lang.Long classId,
                                 S_LibraryObjectData data)
                          throws IfsException

  Constructs an AuditSpecification object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `LibraryObject`
  Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true if the object has a NAME attribute.
  Throws:
    `IfsException` - if operation fails.

### getDescription

    public java.lang.String getDescription()
                                    throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the description of this AuditSpecification.

  Returns:
    the description of this AuditSpecification, or null.
  Throws:
    `IfsException` - if the operation fails.

### getTableNameSuffix

    public java.lang.String getTableNameSuffix()
                                        throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the table name suffix, used for table and view for custom audit event tables.

  Returns:
    the table name suffix, or null if the default table is used
  Throws:
    `IfsException` - if the operation fails.

### getTableName

    public java.lang.String getTableName()
                                  throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the table name to use for events for this AuditSpecification.

  If the TABLENAMESUFFIX is null, this returns the default table name.

  Returns:
    the table name to use
  Throws:
    `IfsException` - if the operation fails.

### getTableNames

    public java.lang.String[] getTableNames()
                                     throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the table names that are used for events for this AuditSpecification.

  Typically this returns just a length 1 array containing only the result of `getTableName`, but this can be overridden.

  Returns:
    the table names in use by this instance
  Throws:
    `IfsException` - if the operation fails.

### getViewName

    public java.lang.String getViewName()
                                 throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the table name to use for events for this AuditSpecification.

  If the TABLENAMESUFFIX is null, this returns the default table name.

  Returns:
    the table name to use
  Throws:
    `IfsException` - if the operation fails.

### getPropertyTableName

    public java.lang.String getPropertyTableName()
                                          throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the table name to use for event properties for this AuditSpecification.

  If the TABLENAMESUFFIX is null, this returns the default property table name.

  Returns:
    the property table name to use
  Throws:
    `IfsException` - if the operation fails.

### getDispositionRule

    public int getDispositionRule()
                           throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the disposition rule for AuditEvents in this AuditSpecification's corresponding AuditHistory.

  Returns:
    the disposition rule; one of: DISPOSITIONRULE_MANUAL, DISPOSITIONRULE_TIMEOUT, DISPOSITIONRULE_OBJECTLIFETIME.
  Throws:
    `IfsException` - if the operation fails.

### getDispositionTimeout

    public int getDispositionTimeout()
                              throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the disposition timeout (in days) used when this AuditSpecification's DISPOSITIONRULE is set to DISPOSITIONRULE_TIMEOUT.

  Returns:
    the disposition timeout in days (defaults to 0 if not set).
  Throws:
    `IfsException` - if the operation fails.

### isUserSearchable

    public boolean isUserSearchable()
                             throws IfsException

  Description copied from class: `AuditSpecification`
  Gets the indication as to whether the Audit History for this AuditSpecification is searchable by regular users.

  Returns:
    true if Audit History is searchable by regular users; false otherwise
  Throws:
    `IfsException` - if operation fails

### isPrivatePropertyTableUsed

    public boolean isPrivatePropertyTableUsed()
                                       throws IfsException

  Description copied from class: `AuditSpecification`
  Gets the indication as to whether the Audit History for this AuditSpecification uses a private audit property table.

  Returns:
    true if instance uses a private audit property table; false otherwise
  Throws:
    `IfsException` - if operation fails

### getAuditTypeList

    public AuditTypeList getAuditTypeList()
                                   throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the AuditTypeList for this AuditSpecification.

  Returns:
    the AuditTypeList.
  Throws:
    `IfsException` - if the operation fails.

### getAuditTargetSpecification

    public AuditTargetSpecification getAuditTargetSpecification()
                                                         throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the AuditTargetSpecification for this AuditSpecification.

  A value of null means that all objects in the system are registered for interest in AuditEvents.

  Returns:
    the AuditTargetSpecification, or null.
  Throws:
    `IfsException` - if the operation fails.

### getAuditHandlerSpecification

    public AuditHandlerSpecification getAuditHandlerSpecification()
                                                           throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the AuditHandlerSpecification for this AuditSpecification.

  A value of null means that no custom AuditHandler is registered to handle occurrences of AuditEvents for which this AuditSpecification has registered interest.

  Returns:
    the AuditHandler class name, or null.
  Throws:
    `IfsException` - if the operation fails.

### getGlobalAuditSpecification

    public static AuditSpecification getGlobalAuditSpecification(LibrarySession session)
                                                          throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the out-of-the-box AuditSpecification used for the Global Audit History.

  Returns:
    the Global AuditSpecification
  Throws:
    `IfsException` - if the operation fails.

### getObjectAuditSpecification

    public static AuditSpecification getObjectAuditSpecification(LibrarySession session)
                                                          throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the out-of-the-box AuditSpecification used for the Object Audit History.

  Returns:
    the Object AuditSpecification
  Throws:
    `IfsException` - if the operation fails.

### getInternalAuditSpecifications

    public static AuditSpecification[] getInternalAuditSpecifications(LibrarySession session)
                                                               throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the set of out-of-the-box AuditSpecification.

  These AuditSpecification objects have special processing for dispatch, disposition, and restrictions on delete.

  Returns:
    the set of out-of-the-box AuditSpecifications; returns an empty array if there are none
  Throws:
    `IfsException` - if the operation fails.

### getCustomAuditSpecifications

    public static AuditSpecification[] getCustomAuditSpecifications(LibrarySession session)
                                                             throws IfsException

  Description copied from class: `AuditSpecification`
  Returns the set of custom AuditSpecification.

  The internal AuditSpecifications are not included in the returned array.

  Returns:
    the set of custom AuditSpecifications; returns an empty array if there are none
  Throws:
    `IfsException` - if the operation fails.

### setAuditTypeList

    public void setAuditTypeList(AuditTypeList atl)
                          throws IfsException

  Description copied from class: `AuditSpecification`
  Sets the AuditTypeList.

  Parameters:
    `atl` - the AuditTypeList.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### preCreate

    protected void preCreate(LibraryObjectDefinition lodef)
                      throws IfsException

  Description copied from class: `SystemObject`
  Extensibility point to perform actions prior to the creation of a PublicObject.

  Set an option that indicates that Categories are NOT to be created from within S_SystemObject.

  Overrides:
    `preCreate` in class `SystemObject`
  Parameters:
    `lodef` - object definition that will be used to create the object
  Throws:
    `IfsException` - if operation fails

### preUpdate

    protected void preUpdate(LibraryObjectDefinition lodef)
                      throws IfsException

  Description copied from class: `SystemObject`
  Extensibility point to perform actions prior to the update of a PublicObject.

  Set an option that indicates that Categories are NOT to be created from within S_SystemObject.

  Overrides:
    `preUpdate` in class `SystemObject`
  Parameters:
    `lodef` - definition used to define how the target object will be updated
  Throws:
    `IfsException` - if operation fails

### postCreate

    protected void postCreate(LibraryObjectDefinition lodef)
                       throws IfsException

  Description copied from class: `SystemObject`
  Extensibility point to perform actions after the creation of a SystemObject.

  This assumes that a transaction context has already been established.

  Overrides:
    `postCreate` in class `SystemObject`
  Parameters:
    `lodef` - object definition that was used to create the object
  Throws:
    `IfsException` - if operation fails

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `LibraryObject`
  Extensibility point to perform actions prior to the permanent deletion ("free") of a object.

  This method is typically overridden by subclasses that perform other operations prior to the target object being freed in order to all delete or modify objects related to the target object. Subclasses are expected to invoke `super.preFree`.

  Overrides:
    `preFree` in class `LibraryObject`
  Parameters:
    `lodef` - object definition used to hold options related to the free operation
  Throws:
    `IfsException` - if operation fails.

### isValidEventType

    protected boolean isValidEventType(AuditEvent event)
                                throws IfsException

  Description copied from class: `AuditSpecification`
  Checks to see if the event type in the process of being posted on the target LibraryObject is consistent with the target.

  Overrides:
    `isValidEventType` in class `LibraryObject`
  Parameters:
    `event` - the event being posted on this object
  Returns:
    true if the type is consistent; false otherwise
  Throws:
    `IfsException` - if the operation fails

### auditAuditSpecificationGlobalAuditTypeListChanged

    public void auditAuditSpecificationGlobalAuditTypeListChanged()
                                                           throws IfsException

  Description copied from class: `AuditSpecification`
  Audits a change to the Global AuditTypeList.

  Should only get called on the Global AuditSpecification.

  Throws:
    `IfsException` - if the operation fails

### auditUpdated

    protected void auditUpdated(LibraryObjectDefinition lodef)
                         throws IfsException

  Description copied from class: `LibraryObject`
  Creates audit events for the update operation.

  Overrides:
    `auditUpdated` in class `LibraryObject`
  Parameters:
    `lodef` - The update definition
  Throws:
    `IfsException` - if the operation fails.

### find

    public static AuditSpecification find(LibrarySession session,
                                          java.lang.String name)
                                   throws IfsException

  Description copied from class: `AuditSpecification`
  Finds an AuditSpecification instance by name, or null if no AuditSpecification with the given name could be found.

  Note: the name must be an exact, case-sensitive match.

  Parameters:
    `session` - the current session
    `name` - the name of the AuditSpecification instance to return
  Returns:
    the AuditSpecification instance with the given name, or null if it does't exist.
  Throws:
    `IfsException` - if the operation fails

### purgeEvent

    public void purgeEvent(AuditEvent event)
                    throws IfsException

  Description copied from class: `AuditSpecification`
  Purges an AuditEvent from its audit history.

  Parameters:
    `event` - the AuditEvent to purge
  Throws:
    `IfsException` - if the operation fails

### purgeEvents

    public void purgeEvents(AuditEvent[] events)
                     throws IfsException

  Description copied from class: `AuditSpecification`
  Purges a set of AuditEvents from their audit histories.

  Parameters:
    `events` - the AuditEvents to purge
  Throws:
    `IfsException` - if the operation fails

### purgeEvents

    protected void purgeEvents(long[] eventIds)
                        throws IfsException

  Description copied from class: `AuditSpecification`
  Purge a set of events, by ID.

  Parameters:
    `eventIds` - the event IDs to delete
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD